import { u32, u64 } from "@stellar/stellar-sdk/contract";

export interface Issue {
    id: String;
    title: String,
    summary: String,
    paragraph_count: u32,
    positive_votes: u32,
    negative_votes: u32,
    telegram_handle: string,
    created_at: u64,
}

export interface AddIssueRequest {
    session_id: string;
    title: string;
    paragraphs: string[];
}

export interface AddIssueResponse {
    result: boolean;
}

export interface VoteIssueRequest {
    issue_id: string;
    increase: boolean;
    decrease: boolean;
}
